Entities\Profile:
    type: entity
    table: profile
    repositoryClass: Repositories\ProfileRepository
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        name:
            type: string
            nullable: false
            length: 50
        description:
            type: text
            nullable: false
        about:
            type: text
            nullable: false
        
        address1:
            type: string
            length: 255
            nullable: false
        address2:
            type: string
            length: 255
            nullable: true
        maps:
            type: text
            nullable: true
        site_web:
            type: string
            length: 100
            nullable: true
        tel:
            type: string
            length: 20
            nullable: false
        mobile:
            type: string
            length: 20
            nullable: true
        fax:
            type: string
            length: 20
            nullable: false
        email_contact:
            type: string
            length: 100
            nullable: false
        email_notification:
            type: string
            length: 100
            nullable: false
        post:
            type: string
            nullable: false

    lifecycleCallbacks: { }